XmTextReplace(3Xm)

NAME
XmTextReplace — a Text function that replaces part of a text string.

SYNOPSIS
#include <Xm/Text.h>

void XmTextReplace (widget, from_pos, to_pos, value)
    Widget    widget;
    XmTextPosition    from_pos;
    XmTextPosition    to_pos;
    char    * value;

DESCRIPTION
XmTextReplace replaces part of the text string in the Text widget. The character positions begin at zero and are numbered sequentially from the beginning of the text.

An example text replacement would be to replace the second and third characters in the text string. To accomplish this, the parameter from_pos must be 1 and to_pos must be 3. To insert a string after the fourth character, the parameters from_pos and to_pos must both be 4.

widget
    Specifies the Text widget ID.

from_pos
    Specifies the start position of the text to be replaced.

to_pos
    Specifies the end position of the text to be replaced.

value
    Specifies the character string value to be added to the text widget.

For a complete definition of Text and its associated resources, see XmText(3Xm).

RELATED INFORMATION
XmText(3Xm).